Class
BlastHsp
Object for storing Blast HSPs.

BlastHsp

BasicInfo | BlastN | BlastP | FullInfo

BlastHsp<TBlastSpec, TInfoSpec>
Include Headers
blast.h
Parameters

TBlastSpec | The type of Blast report to be parsed. Types: BlastN, BlastP Default: BlastN
TInfoSpec | The specializing type determining the amount of information to be stored. Types: BasicInfo, FullInfo Default: BasicInfo Remarks: BasicInfo stores begin and end positions on query and database sequence, as well as the alignment. FullInfo stores additional information such as score, e-value...

Specializations

BasicInfo | Stores only the basic pieces of information delivered with an alignment in a Blast report.
BlastN | For BlastN Blast reports.
BlastP | For BlastP Blast reports.
FullInfo | Stores all pieces of information delivered with an alignment in a Blast report.

Functions

getAlignment | Turns a HSP from a Blast search into an Alignment object.
getDatabaseBegin | The begin position of the HSP on the database sequence.
getDatabaseEnd | The end position of the HSP on the database sequence.
getEValue | The e-value associated with a Blast HSP.
getQueryBegin | The begin position of the HSP on the query sequence.
getQueryEnd | The end position of the HSP on the query sequence.
length | The number of items/characters.

Example Programs
Blast Reports
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45